Bug 835069 - Boot hangs if "rhgb quiet" options not used
Boot hangs if "rhgb quiet" options not used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 08:39 EDT by Paul Howarth
Modified: 2013-08-01 09:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:37:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of messages at time of freeze (1.46 MB, image/jpeg)
2012-07-15 14:23 EDT, bob mckay
no flags Details

  None (edit)
Description Paul Howarth 2012-06-25 08:39:53 EDT
After upgrading to Fedora 17 I've found that my system won't boot unless I leave the "rhgb quiet" options enabled on the kernel command line. I see teh system booting as normal and the last message that appears is:

fb: conflicting fb hw usage radeondrmfb vs VESA VGA - removing generic driver

The boot hangs at that point and doesn't progress even if left for several minutes. With the "rhgb quiet" options, the message still appears in the logs but the system boots up quickly and without issue.

lspci reports the graphics card as:
02:00.0 VGA compatible controller: ATI Technologies Inc RV620 LE [Radeon HD 3450]

I'm unable to capture the logs of a failed boot as the system doesn't get far enough to detect any disks to write logs to.

Any suggestions of what I could do to help debug this?
Comment 1 bob mckay 2012-07-15 14:23:11 EDT
Created attachment 598323 [details]
Screenshot of messages at time of freeze

Sorry about the image quality - the phone camera is having problems finding the focal distance to the screen.
Comment 2 bob mckay 2012-07-15 14:24:24 EDT
I'm seeing the same problem. Fortunately not as reliably as Paul - on the two systems it occurs on, boots succeed about 50% of the time, so I assume that there is some kind of race condition involved. (unfortunately this doesn't help me a lot, as the systems need to be rebootable remotely). 

Attaching a mobile phone screenshot of the final part of the log (I can try to video it if that would be useful). 
Smolt profile: 
http://www.smolts.org/client/show/?uuid=pub_7bcf7898-02d9-4d18-8039-8a2ab0e94dea
Comment 3 Fedora End Of Life 2013-07-04 00:27:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 09:37:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.